You can use pushModelTransform() method to transform the graphics that is drawn at the desired location. The following psuedo code shows how to draw graphics from a block table record.
//Call this function in the subWorldDraw()
//override of your custom entity
// Implement a getBlockTableRecordId function that returns
// the id of the block table record you wish to draw
AcDbObjectId btrId = getBlockTableRecordId();
AcDbBlockTableRecord *pBtr=NULL;
if(acdbOpenObject(pBtr,btrId,AcDb::kForRead)==Acad::eOk)
{
//Define you matrix here, currently set to translation
AcGeMatrix3d mat;
mat.setToTranslation(AcGeVector3d(10,10,0));
mode->geometry().pushModelTransform(mat);
mode->geometry().draw(pBtr);
// pop the transform matrix
mode->geometry().popModelTransform();
pBtr->close();
}